package cerebral.controls;

import java.awt.event.MouseEvent;

import javax.swing.ToolTipManager;

import prefuse.Display;
import prefuse.controls.ControlAdapter;
import prefuse.visual.NodeItem;
import prefuse.visual.VisualItem;

public class ToolTipLabel extends ControlAdapter{
    private String field;
    public ToolTipLabel (String field){
        this.field = field;
        ToolTipManager.sharedInstance().setInitialDelay(0);
    }
    public void itemEntered(VisualItem item, MouseEvent e) {
        if (item instanceof NodeItem) {
            Display d = (Display)e.getSource();       
            String label = item.getString(field);
            d.setToolTipText(label);
        }
    }
    public void itemExited(VisualItem item, MouseEvent e) {
        if (item instanceof NodeItem) {            
            Display d = (Display)e.getSource();
            d.setToolTipText(null);
        }
    }
    
}
