package cerebral.parallelCoordinates;

import java.util.Iterator;

import prefuse.action.layout.Layout;
import prefuse.visual.VisualItem;

public class FilterLayout extends Layout {

    public void run(double frac) {
        Iterator filterIt = m_vis.getVisualGroup(ParallelCoordinates.FILTERS).tuples();
        while (filterIt.hasNext()){
            VisualItem filter = (VisualItem)filterIt.next();
            VisualItem coordinate = (VisualItem)filter.get(ParallelCoordinates.COORDINATE);
            filter.setX(coordinate.getX());
        }       
   
    }

}
